## gvfs 1.46.2

=== meson_options.txt ===
option('systemduserunitdir', type: 'string', value: '', description: 'custom directory for systemd user units, or \'no\' to disable')
option('tmpfilesdir', type: 'string', value: '', description: 'custom directory for tmpfiles.d config files, or \'no\' to disable')

option('admin', type: 'boolean', value: true, description: 'build with admin backend')
option('afc', type: 'boolean', value: true, description: 'build with afc backend and volume monitor')
option('afp', type: 'boolean', value: true, description: 'build with afp backends')
option('archive', type: 'boolean', value: true, description: 'build with archive backend')
option('cdda', type: 'boolean', value: true, description: 'build with cdda backend')
option('dnssd', type: 'boolean', value: true, description: 'build with dnssd backend')
option('goa', type: 'boolean', value: true, description: 'build with goa volume monitor')
option('google', type: 'boolean', value: true, description: 'build with google backend')
option('gphoto2', type: 'boolean', value: true, description: 'build with gphoto2 backend and volume monitor')
option('http', type: 'boolean', value: true, description: 'build with http/dav backends')
option('mtp', type: 'boolean', value: true, description: 'build with mtp backend and volume monitor')
option('nfs', type: 'boolean', value: true, description: 'build with nfs backend')
option('sftp', type: 'boolean', value: true, description: 'build with sftp backend')
option('smb', type: 'boolean', value: true, description: 'build with smb backends')
option('udisks2', type: 'boolean', value: true, description: 'build with udisks2 volume monitor')

option('bluray', type: 'boolean', value: true, description: 'build with bluray metadata support')
option('fuse', type: 'boolean', value: true, description: 'build with fuse support')
option('gcr', type: 'boolean', value: true, description: 'build with gcr certificate support')
option('gcrypt', type: 'boolean', value: true, description: 'build with gcrypt support')
option('gudev', type: 'boolean', value: true, description: 'build with gudev device support')
option('keyring', type: 'boolean', value: true, description: 'build with keyring support')
option('logind', type: 'boolean', value: true, description: 'build with logind support')
option('libusb', type: 'boolean', value: true, description: 'build with libusb interruption support')

option('devel_utils', type: 'boolean', value: false, description: 'build with development utility programs')
option('installed_tests', type: 'boolean', value: false, description: 'enable installed unit tests')
option('man', type: 'boolean', value: false, description: 'generate man pages')

=== debian/changelog ===
gvfs (1.46.2-1.0nosystemd1) nosystemd; urgency=medium

  * remove hard dependency on libsystemd0/libelogind0 

 -- anticapitalista <anticapitalista@operamail.com>  Fri, 12 Nov 2021 08:02:23 -0500

gvfs (1.46.2-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches added in previous upload, they are in this new release
  * debian/control.in: Bump Standards-Version to 4.5.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 16 Jan 2021 09:50:03 +0100

gvfs (1.46.1-2) unstable; urgency=medium

  * Team upload
  * Re-export patch series with gbp pq
  * Update to upstream commit 1.46.1-6-gddd89654 from gnome-3-38 branch
    - Report content type more reliably on SMB
    - Report 100% progress after moving a file on SMB
    - Ensure a display name is set for Google Drive root directory, fixing
      file-chooser crashes
    - Translation updates
  * Add patch from upstream to fix intermittent deadlock

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Dec 2020 17:47:21 +0000

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gvfs
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-exec (>= 0.13),
               gnome-pkg-tools (>= 0.7),
               gsettings-desktop-schemas-dev (>= 3.33.0),
               gtk-doc-tools,
               libarchive-dev,
               libavahi-client-dev (>= 0.6),
               libavahi-glib-dev (>= 0.6),
               libbluetooth-dev (>= 4.0) [linux-any],
               libbluray-dev,
               libcap-dev [linux-any],
               libcdio-paranoia-dev (>= 0.78.2),
               libdbus-1-dev,
               libexpat1-dev,
               libfuse3-dev (>= 3.0.0) [!hurd-any],
               libgcr-3-dev,
               libgcrypt20-dev (>= 1.2.2),
               libgdata-dev (>= 0.17.11),
               libglib2.0-dev (>= 2.65.1),
               libgoa-1.0-dev (>= 3.17.1),
               libgphoto2-dev (>= 2.5.0),
               libgudev-1.0-dev (>= 147) [linux-any],
               libimobiledevice-dev (>= 1.2) [!hurd-any],
               libltdl-dev,
               libmtp-dev (>= 1.1.6),
               libnfs-dev (>= 1.9.7),
               libplist-dev,
               libpolkit-gobject-1-dev,
               libsecret-1-dev,
               libsmbclient-dev (>= 3.4.0) [!hurd-any],
               libsoup2.4-dev (>= 2.58.0),
               libudisks2-dev (>= 1.97) [linux-any],
               libxml2-dev,
               meson (>= 0.50.0),
               openssh-client,
               pkg-config,
               policykit-1 (>= 0.105-18~)
Rules-Requires-Root: no
Standards-Version: 4.5.1
Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
Homepage: https://wiki.gnome.org/Projects/gvfs

Package: gvfs
Architecture: any
Multi-Arch: same
Section: libs
Depends: gvfs-common (= ${source:Version}),
         gvfs-daemons (<< ${source:Version}.1~),
         gvfs-daemons (>= ${source:Version}),
         gvfs-libs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gvfs-backends
Description: userspace virtual filesystem - GIO module
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the GIO module that lets applications use gvfs
 mounts.

Package: gvfs-backends
Architecture: any
Multi-Arch: foreign
Depends: gvfs (= ${binary:Version}),
         gvfs-common (= ${source:Version}),
         gvfs-daemons (= ${binary:Version}),
         gvfs-libs (= ${binary:Version}),
         psmisc,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: gnome-keyring
Suggests: bluez-obexd, samba-common
Description: userspace virtual filesystem - backends
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the afc, afp, archive, cdda, dav, dnssd, ftp,
 gphoto2, http, mtp, network, sftp, smb and smb-browse backends.

Package: gvfs-bin
Section: oldlibs
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: gvfs-common (>= ${source:Version}),
         libglib2.0-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: gvfs
Description: userspace virtual filesystem - deprecated command-line tools
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains deprecated command-line tools such as gvfs-copy
 and gvfs-rename. Please use the gio(1) tool in the libglib2.0-bin
 package instead.

Package: gvfs-common
Architecture: all
Multi-Arch: foreign
Section: libs
Depends: desktop-file-utils, ${misc:Depends}
Recommends: gvfs
Description: userspace virtual filesystem - common data files
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the data files and translations used by all gvfs
 components.

Package: gvfs-daemons
Architecture: any
Multi-Arch: foreign
Section: libs
Depends: gvfs-common (= ${source:Version}),
         gvfs-libs (= ${binary:Version}),
         lsof [linux-any],
         udisks2 [linux-any],
         ${misc:Depends}
Recommends: dbus, gvfs
Suggests: gvfs-backends
Description: userspace virtual filesystem - servers
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the gvfs server and the minimal set of backends.

Package: gvfs-fuse
Architecture: kfreebsd-any linux-any
Depends: fuse3 [linux-any],
         gvfs (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: userspace virtual filesystem - fuse server
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains the gvfs-fuse server that exports gvfs mounts to
 all applications using FUSE.

Package: gvfs-libs
Architecture: any
Multi-Arch: same
Section: libs
Depends: gsettings-desktop-schemas (>= 3.33.0),
         gvfs-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: userspace virtual filesystem - private libraries
 gvfs is a userspace virtual filesystem where mounts run as separate
 processes which you talk to via D-Bus. It also contains a gio module
 that seamlessly adds gvfs support to all applications using the gio
 API. It also supports exposing the gvfs mounts to non-gio applications
 using fuse.
 .
 This package contains private libraries with common functions between
 the daemons and the GIO module.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

include /usr/share/dpkg/default.mk

ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386 kfreebsd-i386 kfreebsd-amd64))
	ADMIN_BACKEND=-Dadmin=false
	SYSTEMD_FLAGS= \
		-Dsystemduserunitdir=no \
		-Dtmpfilesdir=no \
		-Dlogind=false \
		-Dgudev=false \
		-Dudisks2=false \
		-Dcdda=false \
		-Dgphoto2=false \
		-Dmtp=false
else
	ADMIN_BACKEND=
	SYSTEMD_FLAGS=
endif

ifeq (hurd-i386, $(DEB_HOST_ARCH))
	HURD_FLAGS = -Dafc=false -Dfuse=false -Dlibusb=false -Dsmb=false
endif

ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
        BLURAY_BACKEND = -Dbluray=false
endif

%:
	dh $@ --with gnome

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true \
		$(ADMIN_BACKEND) \
		$(BLURAY_BACKEND) \
		$(SYSTEMD_FLAGS) \
		$(HURD_FLAGS)

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --buildsystem=makefile -- -C debian/extra

override_dh_auto_clean:
	dh_auto_clean
	make -C debian/extra clean

override_dh_strip:
	dh_strip --dbgsym-migration='gvfs-dbg (<< 1.28.0-1~)'

override_dh_link-arch:
	dh_link -a
	for pkg in gvfs-backends gvfs-daemons gvfs-fuse; do \
	  ( mkdir -p debian/$$pkg/usr/lib/gvfs; cd debian/$$pkg/usr/lib/gvfs; ln -s ../../libexec/* . ); \
	done

override_dh_install:
	find debian/tmp -name '*.h' -print -delete
	dh_install
	rm -f debian/gvfs-bin/usr/bin/gvfs-less.xml

override_dh_installman:
	# debian/gvfs-bin.install contains debian/gvfs-* and we don't want this
	# to match the manpages
	dh_auto_build --buildsystem=makefile -- -C debian/extra all-man
	dh_installman
	dh_auto_build --buildsystem=makefile -- -C debian/extra clean-man

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs --no-act

override_dh_shlibdeps:
	dh_shlibdeps -Lgvfs-libs -l/usr/lib/$(DEB_HOST_MULTIARCH)/gvfs

override_dh_auto_test:
	echo "Skipping testsuite as it's better run as an autopkgtest with machine isolation"

## gvfs 1.47.91

=== debian/changelog ===
gvfs (1.47.91-1ubuntu1) hirsute; urgency=medium

  * Merge with debian. Remaining changes:
    - Revert upstream changes to port to fuse 3. This is in universe in Ubuntu
      and we'll need to work out a plan to transition away from fuse 2
      + debian/control{,.in}
      + debian/patches/Revert-fuse-Remove-max_write-limit.patch
      + debian/patches/Revert-fuse-Adapt-gvfsd-fuse-to-use-fuse-3.x.patch

 -- Sebastien Bacher <seb128@debian.org>  Mon, 15 Mar 2021 10:53:07 +0100

gvfs (1.47.91-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Mon, 15 Mar 2021 10:51:42 +0100

gvfs (1.47.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated meson and libgdata requirements

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 25 Feb 2021 16:23:19 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec (>= 0.13),
                gnome-pkg-tools (>= 0.7),
@@ -21,10 +21,10 @@
                libcdio-paranoia-dev (>= 0.78.2),
                libdbus-1-dev,
                libexpat1-dev,
-               libfuse3-dev (>= 3.0.0) [!hurd-any],
+               libfuse-dev [!hurd-any],
                libgcr-3-dev,
                libgcrypt20-dev (>= 1.2.2),
-               libgdata-dev (>= 0.17.11),
+               libgdata-dev (>= 0.18),
                libglib2.0-dev (>= 2.65.1),
                libgoa-1.0-dev (>= 3.17.1),
                libgphoto2-dev (>= 2.5.0),
@@ -38,16 +38,20 @@
                libsecret-1-dev,
                libsmbclient-dev (>= 3.4.0) [!hurd-any],
                libsoup2.4-dev (>= 2.58.0),
+               libsystemd-dev [linux-any],
                libudisks2-dev (>= 1.97) [linux-any],
                libxml2-dev,
-               meson (>= 0.50.0),
+               meson (>= 0.53),
                openssh-client,
                pkg-config,
-               policykit-1 (>= 0.105-18~)
+               policykit-1 (>= 0.105-18~),
+               systemd (>= 206) [linux-any]
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
+Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs/tree/ubuntu/master
 Homepage: https://wiki.gnome.org/Projects/gvfs
 
 Package: gvfs
@@ -93,27 +97,6 @@
  This package contains the afc, afp, archive, cdda, dav, dnssd, ftp,
  gphoto2, http, mtp, network, sftp, smb and smb-browse backends.
 
-Package: gvfs-bin
-Section: oldlibs
-Architecture: any
-Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends}
-Depends: gvfs-common (>= ${source:Version}),
-         libglib2.0-bin,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: gvfs
-Description: userspace virtual filesystem - deprecated command-line tools
- gvfs is a userspace virtual filesystem where mounts run as separate
- processes which you talk to via D-Bus. It also contains a gio module
- that seamlessly adds gvfs support to all applications using the gio
- API. It also supports exposing the gvfs mounts to non-gio applications
- using fuse.
- .
- This package contains deprecated command-line tools such as gvfs-copy
- and gvfs-rename. Please use the gio(1) tool in the libglib2.0-bin
- package instead.
-
 Package: gvfs-common
 Architecture: all
 Multi-Arch: foreign
@@ -138,7 +121,8 @@
          gvfs-libs (= ${binary:Version}),
          lsof [linux-any],
          udisks2 [linux-any],
-         ${misc:Depends}
+         ${misc:Depends},
+         ${shlibs:Depends}
 Recommends: dbus, gvfs
 Suggests: gvfs-backends
 Description: userspace virtual filesystem - servers
@@ -152,7 +136,7 @@
 
 Package: gvfs-fuse
 Architecture: kfreebsd-any linux-any
-Depends: fuse3 [linux-any],
+Depends: fuse [linux-any],
          gvfs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

## gvfs 1.48.1

=== debian/changelog ===
gvfs (1.48.1-4) unstable; urgency=medium

  [ Simon McVittie ]
  * Remove deprecated gvfs-bin package.
    Upstream removed the gvfs-foo(1) tools in 2018, before Debian 10.

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 15 Feb 2022 15:43:16 -0500

gvfs (1.48.1-3) unstable; urgency=medium

  * Cherry-pick commit to fix build with latest meson

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 11 Feb 2022 14:59:27 -0500

gvfs (1.48.1-2) unstable; urgency=medium

  * Team upload
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Tue, 24 Aug 2021 13:53:46 +0100

gvfs (1.48.1-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream stable release
    - Prevent socket leaks if socket dir is inaccessible from client
    - admin: Fix regressions caused by port to named sockets
    - udisks2: Report unmount progress after showing blocking processes
    - Translation updates
  * d/p/admin-Make-the-privileged-group-configurable.patch:
    Add patch from upstream to make the privileged group
    build-time-configurable
  * d/rules: Configure 'sudo' to be the privileged group
  * d/p/02_polkit_sudo_group.patch:
    Remove patch previously used to replace hard-coded 'wheel' group with
    'sudo', no longer needed
  * d/p/admin-Fix-mount-operation-hang-caused-by-pkexec-failure.patch:
    Fix a hang if the authentication prompt for pkexec is cancelled while
    trying to mount the admin:// backend
  * d/extra: Fix "whatis" entry for generated man pages
  * Override Lintian breakout-link false positives.
    We still need these symlinks for now (at least gvfsd-archive, because
    nemo hard-codes it), and Lintian is being over-zealous to diagnose a
    symlink from /usr/lib into /usr/libexec as an error.

  [ Laurent Bigonville ]
  * Do not BD on polkit on non-linux architectures, admin backend is disabled
  * debian/gvfs-common.install: tmpfiles.d file is only installed on linux
    archs
  * debian/control.in: Mark libgphoto2-dev, libcdio-paranoia-dev and
    libmtp-dev BD as linux-any
  * Disable USB support on kfreebsd as well as it requires a newer libusb

 -- Simon McVittie <smcv@debian.org>  Mon, 16 Aug 2021 10:58:38 +0100

=== debian/control ===
--- 
+++ 
@@ -18,40 +18,39 @@
                libbluetooth-dev (>= 4.0) [linux-any],
                libbluray-dev,
                libcap-dev [linux-any],
-               libcdio-paranoia-dev (>= 0.78.2),
+               libcdio-paranoia-dev (>= 0.78.2) [linux-any],
                libdbus-1-dev,
                libexpat1-dev,
-               libfuse-dev [!hurd-any],
+               libfuse3-dev (>= 3.0.0) [!hurd-any],
                libgcr-3-dev,
                libgcrypt20-dev (>= 1.2.2),
                libgdata-dev (>= 0.18),
                libglib2.0-dev (>= 2.65.1),
                libgoa-1.0-dev (>= 3.17.1),
-               libgphoto2-dev (>= 2.5.0),
+               libgphoto2-dev (>= 2.5.0) [linux-any],
                libgudev-1.0-dev (>= 147) [linux-any],
                libimobiledevice-dev (>= 1.2) [!hurd-any],
                libltdl-dev,
-               libmtp-dev (>= 1.1.6),
+               libmtp-dev (>= 1.1.6) [linux-any],
                libnfs-dev (>= 1.9.7),
                libplist-dev,
-               libpolkit-gobject-1-dev,
+               libpolkit-gobject-1-dev [linux-any],
                libsecret-1-dev,
                libsmbclient-dev (>= 3.4.0) [!hurd-any],
                libsoup2.4-dev (>= 2.58.0),
                libsystemd-dev [linux-any],
                libudisks2-dev (>= 1.97) [linux-any],
+               libusb-1.0-0-dev (>= 1.0.21) [linux-any],
                libxml2-dev,
                meson (>= 0.53),
                openssh-client,
                pkg-config,
-               policykit-1 (>= 0.105-18~),
+               policykit-1 (>= 0.105-18~) [linux-any],
                systemd (>= 206) [linux-any]
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git -b ubuntu/master
-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs/tree/ubuntu/master
+Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
 Homepage: https://wiki.gnome.org/Projects/gvfs
 
 Package: gvfs
@@ -136,7 +135,7 @@
 
 Package: gvfs-fuse
 Architecture: kfreebsd-any linux-any
-Depends: fuse [linux-any],
+Depends: fuse3 [linux-any],
          gvfs (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -15,14 +15,15 @@
 		-Dudisks2=false \
 		-Dcdda=false \
 		-Dgphoto2=false \
-		-Dmtp=false
+		-Dmtp=false \
+		-Dlibusb=false
 else
 	ADMIN_BACKEND=
 	SYSTEMD_FLAGS=
 endif
 
 ifeq (hurd-i386, $(DEB_HOST_ARCH))
-	HURD_FLAGS = -Dafc=false -Dfuse=false -Dlibusb=false -Dsmb=false
+	HURD_FLAGS = -Dafc=false -Dfuse=false -Dsmb=false
 endif
 
 ifeq (yes,$(shell dpkg-vendor --derives-from Ubuntu && echo yes))
@@ -35,18 +36,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		-Dman=true \
+		-Dprivileged_group=sudo \
 		$(ADMIN_BACKEND) \
 		$(BLURAY_BACKEND) \
 		$(SYSTEMD_FLAGS) \
 		$(HURD_FLAGS)
-
-override_dh_auto_build:
-	dh_auto_build
-	dh_auto_build --buildsystem=makefile -- -C debian/extra
-
-override_dh_auto_clean:
-	dh_auto_clean
-	make -C debian/extra clean
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='gvfs-dbg (<< 1.28.0-1~)'
@@ -62,13 +56,6 @@
 	dh_install
 	rm -f debian/gvfs-bin/usr/bin/gvfs-less.xml
 
-override_dh_installman:
-	# debian/gvfs-bin.install contains debian/gvfs-* and we don't want this
-	# to match the manpages
-	dh_auto_build --buildsystem=makefile -- -C debian/extra all-man
-	dh_installman
-	dh_auto_build --buildsystem=makefile -- -C debian/extra clean-man
-
 override_dh_missing:
 	dh_missing --fail-missing

## gvfs 1.48.1.4

=== debian/changelog ===
gvfs (1.48.1.4-deepin5) unstable; urgency=medium

  * Cherry-pick commit to fix build with meson

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 30 Jun 2023 16:40:34 +0800

gvfs (1.48.1.4-deepin4) unstable; urgency=high

  * update V6 6.0.2 baseline version  

 -- lvwujun <lvwujun@uniontech.com>  Wed, 14 Sep 2022 14:20:58 +0800

gvfs (1.48.1.3-deepin3) unstable; urgency=high

  * fix gvfs fuse mount point incorrect

 -- wangrong <wangrong@uniontech.com>  Mon, 05 Sep 2022 15:32:34 +0800

gvfs (1.48.1.2-deepin2) unstable; urgency=high

  * fix smb anonymous login failed

 -- wangrong <wangrong@uniontech.com>  Thu, 25 Aug 2022 09:46:29 +0800

gvfs (1.48.1.1-deepin1) unstable; urgency=high

  * fix smb backend exit after ccache login failed

 -- wangrong <wangrong@uniontech.com>  Wed, 17 Aug 2022 15:17:07 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec (>= 0.13),
                gnome-pkg-tools (>= 0.7),
@@ -96,6 +96,27 @@
  This package contains the afc, afp, archive, cdda, dav, dnssd, ftp,
  gphoto2, http, mtp, network, sftp, smb and smb-browse backends.
 
+Package: gvfs-bin
+Section: oldlibs
+Architecture: any
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: gvfs-common (>= ${source:Version}),
+         libglib2.0-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: gvfs
+Description: userspace virtual filesystem - deprecated command-line tools
+ gvfs is a userspace virtual filesystem where mounts run as separate
+ processes which you talk to via D-Bus. It also contains a gio module
+ that seamlessly adds gvfs support to all applications using the gio
+ API. It also supports exposing the gvfs mounts to non-gio applications
+ using fuse.
+ .
+ This package contains deprecated command-line tools such as gvfs-copy
+ and gvfs-rename. Please use the gio(1) tool in the libglib2.0-bin
+ package instead.
+
 Package: gvfs-common
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,14 @@
 		$(SYSTEMD_FLAGS) \
 		$(HURD_FLAGS)
 
+override_dh_auto_build:
+	dh_auto_build
+	dh_auto_build --buildsystem=makefile -- -C debian/extra
+
+override_dh_auto_clean:
+	dh_auto_clean
+	make -C debian/extra clean
+
 override_dh_strip:
 	dh_strip --dbgsym-migration='gvfs-dbg (<< 1.28.0-1~)'
 
@@ -56,6 +64,13 @@
 	dh_install
 	rm -f debian/gvfs-bin/usr/bin/gvfs-less.xml
 
+override_dh_installman:
+	# debian/gvfs-bin.install contains debian/gvfs-* and we don't want this
+	# to match the manpages
+	dh_auto_build --buildsystem=makefile -- -C debian/extra all-man
+	dh_installman
+	dh_auto_build --buildsystem=makefile -- -C debian/extra clean-man
+
 override_dh_missing:
 	dh_missing --fail-missing

## gvfs 1.48.2

=== debian/changelog ===
gvfs (1.48.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (LP: #1977467)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Jun 2022 14:53:45 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Source: gvfs
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec (>= 0.13),
@@ -49,8 +50,10 @@
                systemd (>= 206) [linux-any]
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
+Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git -b ubuntu/jammy
+Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs/tree/ubuntu/jammy
 Homepage: https://wiki.gnome.org/Projects/gvfs
 
 Package: gvfs
@@ -95,27 +98,6 @@
  .
  This package contains the afc, afp, archive, cdda, dav, dnssd, ftp,
  gphoto2, http, mtp, network, sftp, smb and smb-browse backends.
-
-Package: gvfs-bin
-Section: oldlibs
-Architecture: any
-Multi-Arch: foreign
-Pre-Depends: ${misc:Pre-Depends}
-Depends: gvfs-common (>= ${source:Version}),
-         libglib2.0-bin,
-         ${misc:Depends},
-         ${shlibs:Depends}
-Suggests: gvfs
-Description: userspace virtual filesystem - deprecated command-line tools
- gvfs is a userspace virtual filesystem where mounts run as separate
- processes which you talk to via D-Bus. It also contains a gio module
- that seamlessly adds gvfs support to all applications using the gio
- API. It also supports exposing the gvfs mounts to non-gio applications
- using fuse.
- .
- This package contains deprecated command-line tools such as gvfs-copy
- and gvfs-rename. Please use the gio(1) tool in the libglib2.0-bin
- package instead.
 
 Package: gvfs-common
 Architecture: all

## gvfs 1.50.2

=== debian/changelog ===
gvfs (1.50.2-2) unstable; urgency=medium

  * Team upload
  * d/control.in: gvfs-backends Suggests pkexec, for the admin:// backend
  * d/control.in: Build-depend on polkitd instead of transitional
    policykit-1. This package doesn't appear to require pkexec at
    build-time.
  * d/tests/control: Depend on polkitd instead of transitional policykit-1.
    The admin backend uses pkexec, but the tests don't exercise it.
  * d/tests/control: Require libglib2.0-bin, for gio(1)
  * d/tests/integration: Skip the test if we cannot run sudo
    noninteractively.
    Having this fully working on Debian depends on an autopkgtest feature
    request (see #906424) or on working around the missing feature.

 -- Simon McVittie <smcv@debian.org>  Fri, 02 Sep 2022 11:03:42 +0100

gvfs (1.50.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 02 Jun 2022 16:01:46 -0400

gvfs (1.50.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Work around "Invalid argument" with misconfigured kerberos/ccache
      if using smbclient 4.16.0

 -- Simon McVittie <smcv@debian.org>  Wed, 04 May 2022 12:20:51 +0100

gvfs (1.50.0-1) unstable; urgency=medium

  * New upstream release
  * Drop 2 admin patches & the meson patch: applied in new release
  * debian/control.in: Bump minimum glib and meson
  * debian/control.in: Build-Depend on libsoup3 instead of libsoup2.4

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 11:52:28 -0400

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gvfs
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-exec (>= 0.13),
                gnome-pkg-tools (>= 0.7),
@@ -26,7 +25,7 @@
                libgcr-3-dev,
                libgcrypt20-dev (>= 1.2.2),
                libgdata-dev (>= 0.18),
-               libglib2.0-dev (>= 2.65.1),
+               libglib2.0-dev (>= 2.70.0),
                libgoa-1.0-dev (>= 3.17.1),
                libgphoto2-dev (>= 2.5.0) [linux-any],
                libgudev-1.0-dev (>= 147) [linux-any],
@@ -38,22 +37,20 @@
                libpolkit-gobject-1-dev [linux-any],
                libsecret-1-dev,
                libsmbclient-dev (>= 3.4.0) [!hurd-any],
-               libsoup2.4-dev (>= 2.58.0),
+               libsoup-3.0-dev (>= 3.0.0),
                libsystemd-dev [linux-any],
                libudisks2-dev (>= 1.97) [linux-any],
                libusb-1.0-0-dev (>= 1.0.21) [linux-any],
                libxml2-dev,
-               meson (>= 0.53),
+               meson (>= 0.56.0),
                openssh-client,
                pkg-config,
-               policykit-1 (>= 0.105-18~) [linux-any],
+               polkitd [linux-any],
                systemd (>= 206) [linux-any]
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
-Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git -b ubuntu/jammy
-Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs/tree/ubuntu/jammy
+Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
 Homepage: https://wiki.gnome.org/Projects/gvfs
 
 Package: gvfs
@@ -88,7 +85,9 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: gnome-keyring
-Suggests: bluez-obexd, samba-common
+Suggests: bluez-obexd,
+          pkexec [linux-any],
+          samba-common
 Description: userspace virtual filesystem - backends
  gvfs is a userspace virtual filesystem where mounts run as separate
  processes which you talk to via D-Bus. It also contains a gio module

## gvfs 1.50.3

=== debian/changelog ===
gvfs (1.50.3-1.0nosystemd1) nosystemd; urgency=medium

  * removed hard dependency on libsystemd0/libelogind0 

 -- anticapitalista <antix@operamail.com>  Mon, 30 Dec 2024 15:48:50 +0200

gvfs (1.50.3-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * New upstream release
  * Build-Depend on dh-sequence-gnome instead of gnome-pkg-tools

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13
  * Add debian/upstream/metadata
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Drop transition for old debug package migration
  * Fix some minor Lintian warnings
  * Update standards version to 4.6.1, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2023 12:10:14 -0500

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Build-Depends: debhelper-compat (= 13),
                dh-exec (>= 0.13),
-               gnome-pkg-tools (>= 0.7),
+               dh-sequence-gnome,
                gsettings-desktop-schemas-dev (>= 3.33.0),
                gtk-doc-tools,
                libarchive-dev,
@@ -38,17 +38,15 @@
                libsecret-1-dev,
                libsmbclient-dev (>= 3.4.0) [!hurd-any],
                libsoup-3.0-dev (>= 3.0.0),
-               libsystemd-dev [linux-any],
                libudisks2-dev (>= 1.97) [linux-any],
                libusb-1.0-0-dev (>= 1.0.21) [linux-any],
                libxml2-dev,
                meson (>= 0.56.0),
                openssh-client,
                pkg-config,
-               polkitd [linux-any],
-               systemd (>= 206) [linux-any]
+               polkitd [linux-any]
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
 Homepage: https://wiki.gnome.org/Projects/gvfs

=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,17 @@
 		-Dmtp=false \
 		-Dlibusb=false
 else
-	ADMIN_BACKEND=
-	SYSTEMD_FLAGS=
+	ADMIN_BACKEND=-Dadmin=false
+	SYSTEMD_FLAGS= \
+		-Dsystemduserunitdir=no \
+		-Dtmpfilesdir=no \
+		-Dlogind=false \
+		-Dgudev=false \
+		-Dudisks2=false \
+		-Dcdda=false \
+		-Dgphoto2=false \
+		-Dmtp=false \
+		-Dlibusb=false 
 endif
 
 ifeq (hurd-i386, $(DEB_HOST_ARCH))
@@ -31,7 +40,7 @@
 endif
 
 %:
-	dh $@ --with gnome
+	dh $@ 
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -42,17 +51,6 @@
 		$(SYSTEMD_FLAGS) \
 		$(HURD_FLAGS)
 
-override_dh_auto_build:
-	dh_auto_build
-	dh_auto_build --buildsystem=makefile -- -C debian/extra
-
-override_dh_auto_clean:
-	dh_auto_clean
-	make -C debian/extra clean
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='gvfs-dbg (<< 1.28.0-1~)'
-
 override_dh_link-arch:
 	dh_link -a
 	for pkg in gvfs-backends gvfs-daemons gvfs-fuse; do \
@@ -61,18 +59,10 @@
 
 override_dh_install:
 	find debian/tmp -name '*.h' -print -delete
-	dh_install
-	rm -f debian/gvfs-bin/usr/bin/gvfs-less.xml
 
-override_dh_installman:
-	# debian/gvfs-bin.install contains debian/gvfs-* and we don't want this
-	# to match the manpages
-	dh_auto_build --buildsystem=makefile -- -C debian/extra all-man
-	dh_installman
-	dh_auto_build --buildsystem=makefile -- -C debian/extra clean-man
 
 override_dh_missing:
-	dh_missing --fail-missing
+	dh_missing --list-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs --no-act

=== debian/tests/control ===
Tests: integration
Depends: apache2,
         apache2-dev,
         dbus,
         gir1.2-umockdev-1.0,
         libglib2.0-bin,
         openssh-client,
         polkitd,
         python3-dbus,
         python3-gi,
         python3-twisted,
         samba,
         sudo,
         umockdev (>= 0.2.9),
         @
Restrictions: allow-stderr isolation-machine skippable

## gvfs 1.50.4

=== debian/changelog ===
gvfs (1.50.4-3) unstable; urgency=medium

  * Team upload
  * d/p/gvfs-test-Kill-home-test_polkitd.py-correctly.patch:
    Add patch to fix the autopkgtest when run in autopkgtest-virt-qemu.
    The home/test_polkitd.py script wasn't terminated correctly, causing
    the testbed to wait indefinitely for it to exit.
    - d/tests/control: Depend on procps, for pkill(1)
  * d/tests: Make use of the needs-sudo restriction.
    This was added to autopkgtest in Debian 12 (specifically version
    5.26, see #906424) and makes the use of sudo in gvfs' integration
    test script something that can be supported by any sufficiently
    capable backend.  In the case of gvfs, autopkgtest-virt-lxc as used
    on ci.debian.net is not sufficient, but maintainers can now run the
    test in autopkgtest-virt-qemu.
  * Add more details of the changes in the previous two changelog entries
  * Remove some Lintian overrides that are no longer needed.
    Lintian no longer considers symlinks between /usr/lib and /usr/libexec
    to be a problem.

 -- Simon McVittie <smcv@debian.org>  Fri, 23 Jun 2023 11:37:11 +0100

gvfs (1.50.4-2) unstable; urgency=medium

  * Cherry-pick 3 patches from gnome-42 branch
    - d/p/mtp-Emit-delete-event-on-device-when-disconnected.patch:
      Emit delete event on mtp devices when disconnected, so that clients
      such as Nautilus can respond to the device's disappearance
      (related to nautilus#371 upstream)
    - d/p/smb-Allow-renaming-a-file-to-the-same-name-with-a-differe.patch:
      Allow renaming a file on SMB/CIFS to the same name with a
      different case (gvfs#672 upstream)
    - d/p/trash-Sync-trash-dir-items-when-files-change.patch:
      Sync trash directory items when files change, so that the number of
      files reported is always consistent with the list of files
  * d/p/tests-new-polkitd.patch:
    Add proposed patch to fix testsuite with recent policykit-1
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 29 May 2023 16:17:19 -0400

gvfs (1.50.4-1) experimental; urgency=medium

  * New upstream release
    - http: Report uncompressed sizes in GFileInfo, in particular avoiding
      strange progress reporting caused by counting uncompressed bytes for
      current status but compressed bytes for total/expected size
      (gvfs#195 upstream)
    - dav: Fix a critical warning (unref of NULL object pointer) when
      attempting to push a nonexistent source file
    - Fix errors copying/moving files when running inside a Flatpak app
    - Make string comparisons more correct, avoiding possible incorrect
      behaviour with future GLib versions (no practical effect right now)
    - Remove a code path that is never reached
    - Translation updates: be, tr

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 10:49:19 -0400

## gvfs 1.51.90

=== debian/changelog ===
gvfs (1.51.90-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libmtp to 1.1.21

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 09 Aug 2023 15:41:37 -0400

gvfs (1.50.6-2) unstable; urgency=high

  * Restore 1.50.4-3 changes accidentally left out of 1.50.6-1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 06:49:13 -0400

gvfs (1.50.6-1) unstable; urgency=high

  * New upstream release
  * Drop 5 patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 07 Aug 2023 06:38:41 -0400

## gvfs 1.52.0

=== debian/changelog ===
gvfs (1.52.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Sep 2023 14:16:17 -0400

gvfs (1.51.91-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 08:45:02 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec (>= 0.13),
                dh-sequence-gnome,
@@ -31,20 +31,22 @@
                libgudev-1.0-dev (>= 147) [linux-any],
                libimobiledevice-dev (>= 1.2) [!hurd-any],
                libltdl-dev,
-               libmtp-dev (>= 1.1.6) [linux-any],
+               libmtp-dev (>= 1.1.21) [linux-any],
                libnfs-dev (>= 1.9.7),
                libplist-dev,
                libpolkit-gobject-1-dev [linux-any],
                libsecret-1-dev,
                libsmbclient-dev (>= 3.4.0) [!hurd-any],
                libsoup-3.0-dev (>= 3.0.0),
+               libsystemd-dev [linux-any],
                libudisks2-dev (>= 1.97) [linux-any],
                libusb-1.0-0-dev (>= 1.0.21) [linux-any],
                libxml2-dev,
                meson (>= 0.56.0),
                openssh-client,
                pkg-config,
-               polkitd [linux-any]
+               polkitd [linux-any],
+               systemd (>= 206) [linux-any]
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git

## gvfs 1.52.2

=== debian/changelog ===
gvfs (1.52.2-1) unstable; urgency=medium

  * New upstream release
  * Stop using debian/control.in and dh_gnome_clean
  * Update standards version to 4.6.2, no changes needed.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 05 Jan 2024 10:00:18 -0500

gvfs (1.52.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 24 Oct 2023 11:12:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,8 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gvfs
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Sebastien Bacher <seb128@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-exec (>= 0.13),
                dh-sequence-gnome,
@@ -48,7 +44,7 @@
                polkitd [linux-any],
                systemd (>= 206) [linux-any]
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/gnome-team/gvfs.git
 Vcs-Browser: https://salsa.debian.org/gnome-team/gvfs
 Homepage: https://wiki.gnome.org/Projects/gvfs

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 
 include /usr/share/dpkg/default.mk
 
@@ -18,17 +18,8 @@
 		-Dmtp=false \
 		-Dlibusb=false
 else
-	ADMIN_BACKEND=-Dadmin=false
-	SYSTEMD_FLAGS= \
-		-Dsystemduserunitdir=no \
-		-Dtmpfilesdir=no \
-		-Dlogind=false \
-		-Dgudev=false \
-		-Dudisks2=false \
-		-Dcdda=false \
-		-Dgphoto2=false \
-		-Dmtp=false \
-		-Dlibusb=false 
+	ADMIN_BACKEND=
+	SYSTEMD_FLAGS=
 endif
 
 ifeq (hurd-i386, $(DEB_HOST_ARCH))
@@ -40,7 +31,7 @@
 endif
 
 %:
-	dh $@ 
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -59,10 +50,8 @@
 
 override_dh_install:
 	find debian/tmp -name '*.h' -print -delete
-
-
-override_dh_missing:
-	dh_missing --list-missing
+	dh_install
+	rm -f debian/gvfs-bin/usr/bin/gvfs-less.xml
 
 override_dh_makeshlibs:
 	dh_makeshlibs --no-act
@@ -72,3 +61,5 @@
 
 override_dh_auto_test:
 	echo "Skipping testsuite as it's better run as an autopkgtest with machine isolation"
+
+override_dh_gnome_clean:
